## raet 0.6.8

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Raet.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Raet.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Raet"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Raet"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## raet 0.6.3

=== debian/changelog ===
raet (0.6.3-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5

 -- Samuel M. Smith <info@ioflo.com>  Wed, 12 Aug 2015 11:10:47 -0600

=== debian/control ===
Source: raet
Maintainer: Samuel M. Smith <info@ioflo.com>
Section: python
Priority: optional
Build-Depends: dh-python, python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/saltstack/raet

Package: python-raet
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Reliable Asynchronous Event Transport protocol
 Asynchronous transaction based protocol using Ioflo. http://ioflo.com

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Wed, 12 Aug 2015 11:10:47 -0600
export PYBUILD_NAME=raet
%:
	dh $@ --with python2 --buildsystem=pybuild

## raet 0.6.5

=== debian/changelog ===
raet (0.6.5-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5

 -- Samuel M. Smith <info@ioflo.com>  Wed, 30 Mar 2016 18:58:33 -0600

=== debian/control ===
Source: raet
Maintainer: Samuel M. Smith <info@ioflo.com>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3)
Standards-Version: 3.9.1



Package: python-raet
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Reliable Asynchronous Event Transport protocol
 Asynchronous transaction based protocol using Ioflo. http://ioflo.com

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Wed, 30 Mar 2016 18:58:33 -0600

%:
	dh $@ --with python2 --buildsystem=python_distutils


override_dh_auto_clean:
	python setup.py clean -a
	find . -name \*.pyc -exec rm {} \;



override_dh_auto_build:
	python setup.py build --force



override_dh_auto_install:
	python setup.py install --force --root=debian/python-raet --no-compile -O0 --install-layout=deb  



override_dh_python2:
	dh_python2 --no-guessing-versions

## raet 0.6.7

=== debian/changelog ===
raet (0.6.7-2) stable; urgency=low

  * source package automatically created by stdeb 0.8.5
  * updated dependencies

 -- SaltStack Packaging Team <packaging@saltstack.com>  Fri, 09 Jun 2017 15:37:45 -0600

=== debian/control ===
Source: raet
Maintainer: Samuel M. Smith <info@ioflo.com>
Section: python
Priority: optional
Build-Depends: dh-python, python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 9), python-setuptools-git
Standards-Version: 3.9.6
Homepage: https://github.com/RaetProtocol/raet.git

Package: python-raet
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Reliable Asynchronous Event Transport protocol
 Asynchronous transaction based protocol using Ioflo. http://ioflo.com

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Fri, 09 Jun 2017 15:35:45 -0600

export PYBUILD_NAME=raet
export DH_VERBOSE=1

%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/raet/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/raet/raet-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## raet 0.6.8

=== debian/changelog ===
raet (0.6.8-2) stable; urgency=low

  * Added support for Python 3

 -- SaltStack Packaging Team <packaging@saltstack.com>  Wed, 03 Jan 2018 12:01:40 -0600

raet (0.6.8-1) stable; urgency=low

  * source package automatically created by stdeb 0.8.2

 -- Samuel M. Smith <info@ioflo.com>  Wed, 03 Jan 2018 18:53:21 +0000

=== debian/control ===
Source: raet
Maintainer: Samuel M. Smith <info@ioflo.com>
Section: python
Priority: optional
Build-Depends:  python-setuptools (>= 0.6b3), python3-setuptools,
		python-all (>= 2.6.6-3), python3-all,
		python-setuptools-git, python3-setuptools-git,
		debhelper (>= 9)
Standards-Version: 3.9.6

Package: python-raet
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Reliable Asynchronous Event Transport protocol
 Asynchronous transaction based protocol using Ioflo. http://ioflo.com

Package: python3-raet
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Reliable Asynchronous Event Transport protocol
 Asynchronous transaction based protocol using Ioflo. http://ioflo.com
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.2 at
# Wed, 03 Jan 2018 18:53:21 +0000
# Updated for Python 3, Wed, 03 Jan 2018 12:04:21 -0600

export DH_VERBOSE=1
export PYBUILD_NAME=raet

%:
	dh $@ --with python2,python3 --buildsystem=pybuild
